Bug 2004409 - rasdaemon-0.6.7-2.fc35.x86_64 would not start on FC35
Summary: rasdaemon-0.6.7-2.fc35.x86_64 would not start on FC35
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rasdaemon
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mauro Carvalho Chehab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-15 08:36 UTC by Patrick Dung
Modified: 2022-04-01 11:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Patrick Dung 2021-09-15 08:36:32 UTC
Description of problem:
The daemon won't start

Version-Release number of selected component (if applicable):
rasdaemon-0.6.7-2.fc35.x86_64

How reproducible:
Always

Steps to Reproduce:
Upgrade to FC35

Actual results:
Daemon did not start

Expected results:
Daemon should start

Additional info:
https://github.com/mchehab/rasdaemon/commit/455aaac394ca18b2f404a2f37f04cb48d4d890e5
added the SYSCONFDEFDIR configure parameter 

The /usr/lib/systemd/system/rasdaemon.service file has this now:
[Service]
EnvironmentFile=/rasdaemon

So it could not find the file /rasdaemon and the daemon won't start.

Comment 1 Matteo Croce 2021-10-13 21:29:42 UTC
The service always fails to start.

root@msft-t490s:~# systemctl status rasdaemon.service
× rasdaemon.service - RAS daemon to log the RAS events
     Loaded: loaded (/usr/lib/systemd/system/rasdaemon.service; enabled; vendor preset: disabled)
     Active: failed (Result: resources)
        CPU: 0

ott 13 23:20:25 msft-t490s systemd[1]: rasdaemon.service: Failed to load environment files: No such file or directory
ott 13 23:20:25 msft-t490s systemd[1]: rasdaemon.service: Failed to run 'start' task: No such file or directory
ott 13 23:20:25 msft-t490s systemd[1]: rasdaemon.service: Failed with result 'resources'.
ott 13 23:20:25 msft-t490s systemd[1]: Failed to start RAS daemon to log the RAS events.


I think that the unit is wrong:

root@msft-t490s:~# cat /usr/lib/systemd/system/rasdaemon.service
[Unit]
Description=RAS daemon to log the RAS events
After=syslog.target

[Service]
EnvironmentFile=/rasdaemon
ExecStart=/usr/sbin/rasdaemon -f -r
ExecStartPost=/usr/sbin/rasdaemon --enable
ExecStop=/usr/sbin/rasdaemon --disable
Restart=on-abort

[Install]
WantedBy=multi-user.target

"/rasdaemon" seems a wrong path to me.

Comment 2 Matteo Croce 2021-10-17 15:21:18 UTC
The unit file template is at: https://github.com/mchehab/rasdaemon/blob/master/misc/rasdaemon.service.in

[Service]
EnvironmentFile=@SYSCONFDEFDIR@/rasdaemon

Obviously SYSCONFDEFDIR is empty during configure

Comment 3 thedatum+bz 2021-11-24 05:09:34 UTC
I have the same problem upon upgrading to Fedora 35.

Comment 4 Thomas Neuber 2021-12-19 14:11:11 UTC
As stated in comment #2. The package provides an invalid systemd service file, but also /etc/sysconfig/rasdaemon file is missing. Its content should be fro here: https://github.com/mchehab/rasdaemon/blob/master/misc/rasdaemon.env

The configuration scripts for building this package have been fixed the the version tagged with 0.6.7.

Comment 5 Mick Reed 2022-02-28 17:14:51 UTC
0.6.7-2.fc35.x86_64 still having this issue.  I used comment #4 to get this working on my machine.  Idk what I am doing, don't flame me. Thank you for what you do!

Comment 6 Mauro Carvalho Chehab 2022-04-01 09:35:57 UTC
Interesting bug... The package's build logic is working fine when manually build it, as it does:

  $ rm misc/rasdaemon.service && make distclean && autoreconf -vfi 
  $ ./configure --enable-sqlite3 --enable-aer --enable-mce --enable-extlog --enable-devlink --enable-diskerror --enable-abrt-report --enable-non-standard --enable-arm --enable-hisi-ns-decode --prefix /usr && make
  ...
  sed -e s,\@sbindir\@,/usr/sbin,g -e s,\@SYSCONFDEFDIR\@,/etc/sysconfig,g misc/rasdaemon.service.in > misc/rasdaemon.service
  sed -e s,\@sbindir\@,/usr/sbin,g -e s,\@SYSCONFDEFDIR\@,/etc/sysconfig,g misc/ras-mc-ctl.service.in > misc/ras-mc-ctl.service
  ...

And the output is correct:

  $ more misc/rasdaemon.service
  [Unit]
  Description=RAS daemon to log the RAS events
  # only needed when not running in foreground (--foreground | -f)
  #After=syslog.target

  [Service]
  EnvironmentFile=/etc/sysconfig/rasdaemon
  ExecStart=/usr/sbin/rasdaemon -f -r
  ExecStartPost=/usr/sbin/rasdaemon --enable
  ExecStop=/usr/sbin/rasdaemon --disable
  Restart=on-abort

  [Install]
  WantedBy=multi-user.target

Yet, somehow the package generated from rasdaemon.spec has issues. I'll do some tests here in order to identify why this is happening.

Comment 7 Mauro Carvalho Chehab 2022-04-01 11:19:35 UTC
There were several issues related to it, including the lack of a /etc/sysconfig/rasdaemon. I fixed the package and pushed to testing:

https://bodhi.fedoraproject.org/updates/FEDORA-2022-f690d319b3

Please let me know if it fixes the issue.


Note You need to log in before you can comment on or make changes to this bug.